<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly.
// ===============================================================================================
// -----------------------------------------------------------------------------------------------
// FRAMEWORK SETTINGS
// -----------------------------------------------------------------------------------------------
// ===============================================================================================
$settings           = array(
  'menu_title'      => constant('PSYCHIATRIST_THEME_NAME').' '.esc_html__('Options', 'psychiatrist'),
  'menu_type'       => 'theme', // menu, submenu, options, theme, etc.
  'menu_slug'       => 'cs-framework',
  'ajax_save'       => true,
  'show_reset_all'  => false,
  'framework_title' => constant('PSYCHIATRIST_THEME_NAME') .' '.__('Admin Panel', 'psychiatrist'),
);

// ===============================================================================================
// -----------------------------------------------------------------------------------------------
// FRAMEWORK OPTIONS
// -----------------------------------------------------------------------------------------------
// ===============================================================================================
$options        = array();

$options[]      = array(
  'name'        => 'general',
  'title'       => esc_html__('General', 'psychiatrist'),
  'icon'        => 'fa fa-gears',

  'fields'      => array(

	array(
	  'type'    => 'subheading',
	  'content' => esc_html__( 'General Options', 'psychiatrist' ),
	),

	array(
	  'id'  	 => 'show-pagecomments',
	  'type'  	 => 'switcher',
	  'title' 	 => esc_html__('Globally Show Page Comments', 'psychiatrist'),
	  'info'	 => esc_html__('YES! to show comments on all the pages. This will globally override your "Allow comments" option under your page "Discussion" settings.', 'psychiatrist'),
	  'default'  => true
	),

	array(
	  'id'  	 => 'showall-pagination',
	  'type'  	 => 'switcher',
	  'title' 	 => esc_html__('Show all pages in Pagination', 'psychiatrist'),
	  'info'	 => esc_html__('YES! to show all the pages instead of dots near the current page.', 'psychiatrist')
	),

	array(
	  'id'  	 => 'enable-stylepicker',
	  'type'  	 => 'switcher',
	  'title' 	 => esc_html__('Style Picker', 'psychiatrist'),
	  'info'	 => esc_html__('YES! to show the style picker.', 'psychiatrist')
	),

	array(
	  'id'      => 'google-map-key',
	  'type'    => 'text',
	  'title'   => esc_html__('Google Map API Key', 'psychiatrist'),
	  'after' 	=> '<p class="cs-text-info">'.esc_html__('Put a valid google account api key here', 'psychiatrist').'</p>',
	),

	array(
	  'id'      => 'mailchimp-key',
	  'type'    => 'text',
	  'title'   => esc_html__('Mailchimp API Key', 'psychiatrist'),
	  'after' 	=> '<p class="cs-text-info">'.esc_html__('Put a valid mailchimp account api key here', 'psychiatrist').'</p>',
	),

  ),
);

$options[]      = array(
  'name'        => 'allpage_options',
  'title'       => esc_html__('All Page Options', 'psychiatrist'),
  'icon'        => 'fa fa-files-o',
  'sections' => array(

	// -----------------------------------------
	// Post Options
	// -----------------------------------------
	array(
	  'name'      => 'post_options',
	  'title'     => esc_html__('Post Options', 'psychiatrist'),
	  'icon'      => 'fa fa-file',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Single Post Options", 'psychiatrist' ),
		  ),

		  array(
			'id'  		 => 'single-post-authorbox',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Single Author Box', 'psychiatrist'),
			'info'		 => esc_html__('YES! to display author box in single blog posts.', 'psychiatrist')
		  ),

		  array(
			'id'  		 => 'single-post-related',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Single Related Posts', 'psychiatrist'),
			'info'		 => esc_html__('YES! to display related blog posts in single posts.', 'psychiatrist')
		  ),

		  array(
			'id'  		 => 'single-post-comments',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Posts Comments', 'psychiatrist'),
			'info'		 => esc_html__('YES! to display single blog post comments.', 'psychiatrist'),
			'default' 	 => true,
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Post Archives Page Layout", 'psychiatrist' ),
		  ),

		  array(
			'id'      	 => 'post-archives-page-layout',
			'type'       => 'image_select',
			'title'      => esc_html__('Page Layout', 'psychiatrist'),
			'options'    => array(
			  'content-full-width'   => PSYCHIATRIST_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
			  'with-left-sidebar'    => PSYCHIATRIST_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
			  'with-right-sidebar'   => PSYCHIATRIST_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
			  'with-both-sidebar'    => PSYCHIATRIST_THEME_URI . '/cs-framework-override/images/both-sidebar.png',
			),
			'default'      => 'content-full-width',
			'attributes'   => array(
			  'data-depend-id' => 'post-archives-page-layout',
			),
		  ),

		  array(
			'id'  		 => 'show-standard-left-sidebar-for-post-archives',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Show Standard Left Sidebar', 'psychiatrist'),
			'dependency' => array( 'post-archives-page-layout', 'any', 'with-left-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'id'  		 => 'show-standard-right-sidebar-for-post-archives',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Show Standard Right Sidebar', 'psychiatrist'),
			'dependency' => array( 'post-archives-page-layout', 'any', 'with-right-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Post Archives Post Layout", 'psychiatrist' ),
		  ),

		  array(
			'id'      	   => 'post-archives-post-layout',
			'type'         => 'image_select',
			'title'        => esc_html__('Post Layout', 'psychiatrist'),
			'options'      => array(
			  'one-column' 		  => PSYCHIATRIST_THEME_URI . '/cs-framework-override/images/one-column.png',
			  'one-half-column'   => PSYCHIATRIST_THEME_URI . '/cs-framework-override/images/one-half-column.png',
			  'one-third-column'  => PSYCHIATRIST_THEME_URI . '/cs-framework-override/images/one-third-column.png',
			),
			'default'      => 'one-half-column',
		  ),

		  array(
			'id'  		 => 'post-archives-enable-excerpt',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Allow Excerpt', 'psychiatrist'),
			'info'		 => esc_html__('YES! to allow excerpt', 'psychiatrist'),
			'default'    => true,
		  ),

		  array(
			'id'  		 => 'post-archives-excerpt',
			'type'  	 => 'number',
			'title' 	 => esc_html__('Excerpt Length', 'psychiatrist'),
			'after'		 => '<span class="cs-text-desc">&nbsp;'.esc_html__('Put Excerpt Length', 'psychiatrist').'</span>',
			'default' 	 => 40,
		  ),

		  array(
			'id'  		 => 'post-archives-enable-readmore',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Read More', 'psychiatrist'),
			'info'		 => esc_html__('YES! to enable read more button', 'psychiatrist'),
			'default'	 => true,
		  ),

		  array(
			'id'  		 => 'post-archives-readmore',
			'type'  	 => 'textarea',
			'title' 	 => esc_html__('Read More Shortcode', 'psychiatrist'),
			'info'		 => esc_html__('Paste any button shortcode here', 'psychiatrist'),
			'default'	 => '[dt_sc_button title="Read More" style="filled" icon_type="fontawesome" iconalign="icon-right with-icon" iconclass="fa fa-long-arrow-right" class="type1"]',
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Single Post & Post Archive options", 'psychiatrist' ),
		  ),

		  array(
			'id'           => 'post-style',
			'type'         => 'select',
			'title'        => esc_html__('Post Style', 'psychiatrist'),
			'options'      => array(
			  'blog-default-style' 		=> esc_html__('Default', 'psychiatrist'),
			  'entry-date-left'      	=> esc_html__('Date Left', 'psychiatrist'),
			  'entry-date-author-left'  => esc_html__('Date and Author Left', 'psychiatrist'),
			  'blog-medium-style'       => esc_html__('Medium', 'psychiatrist'),
			  'blog-medium-style dt-blog-medium-highlight'     					 => esc_html__('Medium Hightlight', 'psychiatrist'),
			  'blog-medium-style dt-blog-medium-highlight dt-sc-skin-highlight'  => esc_html__('Medium Skin Highlight', 'psychiatrist'),
			),
			'class'        => 'chosen',
			'default'      => 'blog-default-style',
			'info'         => esc_html__('Choose post style to display single blog posts and archives.', 'psychiatrist'),
		  ),

		  array(
			'id'      => 'post-format-meta',
			'type'    => 'switcher',
			'title'   => esc_html__('Post Format Meta', 'psychiatrist' ),
			'info'	  => esc_html__('YES! to show post format meta information', 'psychiatrist'),
			'default' => true
		  ),

		  array(
			'id'      => 'post-author-meta',
			'type'    => 'switcher',
			'title'   => esc_html__('Author Meta', 'psychiatrist' ),
			'info'	  => esc_html__('YES! to show post author meta information', 'psychiatrist'),
			'default' => true
		  ),

		  array(
			'id'      => 'post-date-meta',
			'type'    => 'switcher',
			'title'   => esc_html__('Date Meta', 'psychiatrist' ),
			'info'	  => esc_html__('YES! to show post date meta information', 'psychiatrist'),
			'default' => true
		  ),

		  array(
			'id'      => 'post-comment-meta',
			'type'    => 'switcher',
			'title'   => esc_html__('Comment Meta', 'psychiatrist' ),
			'info'	  => esc_html__('YES! to show post comment meta information', 'psychiatrist'),
			'default' => true
		  ),

		  array(
			'id'      => 'post-category-meta',
			'type'    => 'switcher',
			'title'   => esc_html__('Category Meta', 'psychiatrist' ),
			'info'	  => esc_html__('YES! to show post category information', 'psychiatrist'),
			'default' => true
		  ),

		  array(
			'id'      => 'post-tag-meta',
			'type'    => 'switcher',
			'title'   => esc_html__('Tag Meta', 'psychiatrist' ),
			'info'	  => esc_html__('YES! to show post tag information', 'psychiatrist'),
			'default' => true
		  ),

		),
	),

	// -----------------------------------------
	// 404 Options
	// -----------------------------------------
	array(
	  'name'      => '404_options',
	  'title'     => esc_html__('404 Options', 'psychiatrist'),
	  'icon'      => 'fa fa-warning',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "404 Message", 'psychiatrist' ),
		  ),

		  array(
			'id'      => 'enable-404message',
			'type'    => 'switcher',
			'title'   => esc_html__('Enable Message', 'psychiatrist' ),
			'info'	  => esc_html__('YES! to enable not-found page message.', 'psychiatrist'),
			'default' => true
		  ),

		  array(
			'id'           => 'notfound-style',
			'type'         => 'select',
			'title'        => esc_html__('Template Style', 'psychiatrist'),
			'options'      => array(
			  'type1' 	   => esc_html__('Modern', 'psychiatrist'),
			  'type2'      => esc_html__('Classic', 'psychiatrist'),
			  'type4'  	   => esc_html__('Diamond', 'psychiatrist'),
			  'type5'      => esc_html__('Shadow', 'psychiatrist'),
			  'type6'      => esc_html__('Diamond Alt', 'psychiatrist'),
			  'type7'  	   => esc_html__('Stack', 'psychiatrist'),
			  'type8'  	   => esc_html__('Minimal', 'psychiatrist'),
			),
			'class'        => 'chosen',
			'default'      => 'type2',
			'info'         => esc_html__('Choose the style of not-found template page.', 'psychiatrist')
		  ),

		  array(
			'id'      => 'notfound-darkbg',
			'type'    => 'switcher',
			'title'   => esc_html__('404 Dark BG', 'psychiatrist' ),
			'info'	  => esc_html__('YES! to use dark bg notfound page for this site.', 'psychiatrist')
		  ),

		  array(
			'id'           => 'notfound-pageid',
			'type'         => 'select',
			'title'        => esc_html__('Custom Page', 'psychiatrist'),
			'options'      => 'pages',
			'class'        => 'chosen',
			'default_option' => esc_html__('Choose the page', 'psychiatrist'),
			'info'       	 => esc_html__('Choose the page for not-found content.', 'psychiatrist')
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Background Options", 'psychiatrist' ),
		  ),

		  array(
			'id'    => 'notfound_background',
			'type'  => 'background',
			'title' => esc_html__('Background', 'psychiatrist')
		  ),

		  array(
			'id'  		 => 'notfound-bg-style',
			'type'  	 => 'textarea',
			'title' 	 => esc_html__('Custom Styles', 'psychiatrist'),
			'info'		 => esc_html__('Paste custom CSS styles for not found page.', 'psychiatrist')
		  ),

		),
	),

	// -----------------------------------------
	// Underconstruction Options
	// -----------------------------------------
	array(
	  'name'      => 'comingsoon_options',
	  'title'     => esc_html__('Under Construction Options', 'psychiatrist'),
	  'icon'      => 'fa fa-thumbs-down',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Under Construction", 'psychiatrist' ),
		  ),

		  array(
			'id'      => 'enable-comingsoon',
			'type'    => 'switcher',
			'title'   => esc_html__('Enable Coming Soon', 'psychiatrist' ),
			'info'	  => esc_html__('YES! to check under construction page of your website.', 'psychiatrist')
		  ),

		  array(
			'id'           => 'comingsoon-style',
			'type'         => 'select',
			'title'        => esc_html__('Template Style', 'psychiatrist'),
			'options'      => array(
			  'type1' 	   => esc_html__('Diamond', 'psychiatrist'),
			  'type2'      => esc_html__('Teaser', 'psychiatrist'),
			  'type3'  	   => esc_html__('Minimal', 'psychiatrist'),
			  'type4'      => esc_html__('Counter Only', 'psychiatrist'),
			  'type5'      => esc_html__('Belt', 'psychiatrist'),
			  'type6'  	   => esc_html__('Classic', 'psychiatrist'),
			  'type7'  	   => esc_html__('Boxed', 'psychiatrist')
			),
			'class'        => 'chosen',
			'default'      => 'type2',
			'info'         => esc_html__('Choose the style of coming soon template.', 'psychiatrist'),
		  ),

		  array(
			'id'      => 'uc-darkbg',
			'type'    => 'switcher',
			'title'   => esc_html__('Coming Soon Dark BG', 'psychiatrist' ),
			'info'	  => esc_html__('YES! to use dark bg coming soon page for this site.', 'psychiatrist')
		  ),

		  array(
			'id'           => 'comingsoon-pageid',
			'type'         => 'select',
			'title'        => esc_html__('Custom Page', 'psychiatrist'),
			'options'      => 'pages',
			'class'        => 'chosen',
			'default_option' => esc_html__('Choose the page', 'psychiatrist'),
			'info'       	 => esc_html__('Choose the page for comingsoon content.', 'psychiatrist')
		  ),

		  array(
			'id'      => 'show-launchdate',
			'type'    => 'switcher',
			'title'   => esc_html__('Show Launch Date', 'psychiatrist' ),
			'info'	  => esc_html__('YES! to show launch date text.', 'psychiatrist'),
		  ),

		  array(
			'id'      => 'comingsoon-launchdate',
			'type'    => 'text',
			'title'   => esc_html__('Launch Date', 'psychiatrist'),
			'attributes' => array(
			  'placeholder' => '10/30/2016 12:00:00'
			),
			'after' 	=> '<p class="cs-text-info">'.esc_html__('Put Format: 12/30/2016 12:00:00 month/day/year hour:minute:second', 'psychiatrist').'</p>',
		  ),

		  array(
			'id'           => 'comingsoon-timezone',
			'type'         => 'select',
			'title'        => esc_html__('UTC Timezone', 'psychiatrist'),
			'options'      => array(
			  '-12' => '-12', '-11' => '-11', '-10' => '-10', '-9' => '-9', '-8' => '-8', '-7' => '-7', '-6' => '-6', '-5' => '-5',
			  '-4' => '-4', '-3' => '-3', '-2' => '-2', '-1' => '-1', '0' => '0', '+1' => '+1', '+2' => '+2', '+3' => '+3', '+4' => '+4',
			  '+5' => '+5', '+6' => '+6', '+7' => '+7', '+8' => '+8', '+9' => '+9', '+10' => '+10', '+11' => '+11', '+12' => '+12'
			),
			'class'        => 'chosen',
			'default'      => '0',
			'info'         => esc_html__('Choose utc timezone, by default UTC:00:00', 'psychiatrist'),
		  ),

		  array(
			'id'    => 'comingsoon_background',
			'type'  => 'background',
			'title' => esc_html__('Background', 'psychiatrist')
		  ),

		  array(
			'id'  		 => 'comingsoon-bg-style',
			'type'  	 => 'textarea',
			'title' 	 => esc_html__('Custom Styles', 'psychiatrist'),
			'info'		 => esc_html__('Paste custom CSS styles for under construction page.', 'psychiatrist'),
		  ),

		),
	),

  ),
);

// -----------------------------------------
// Widget area Options
// -----------------------------------------
$options[]      = array(
  'name'        => 'widgetarea_options',
  'title'       => esc_html__('Widget Area', 'psychiatrist'),
  'icon'        => 'fa fa-trello',

  'fields'      => array(

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Custom Widget Area for Sidebar", 'psychiatrist' ),
	  ),

	  array(
		'id'           => 'wtitle-style',
		'type'         => 'select',
		'title'        => esc_html__('Sidebar widget Title Style', 'psychiatrist'),
		'options'      => array(
			'default' => esc_html__('Choose any type', 'psychiatrist'),
			'type1'   => esc_html__('Double Border', 'psychiatrist'),
			'type2'   => esc_html__('Tooltip', 'psychiatrist'),
			'type3'   => esc_html__('Title Top Border', 'psychiatrist'),
			'type4'   => esc_html__('Left Border & Pattren', 'psychiatrist'),
			'type5'   => esc_html__('Bottom Border', 'psychiatrist'),
			'type6'   => esc_html__('Tooltip Border', 'psychiatrist'),
			'type7'   => esc_html__('Boxed Modern', 'psychiatrist'),
			'type8'   => esc_html__('Elegant Border', 'psychiatrist'),
			'type9'   => esc_html__('Needle', 'psychiatrist'),
			'type10'  => esc_html__('Ribbon', 'psychiatrist'),
			'type11'  => esc_html__('Content Background', 'psychiatrist'),
			'type12'  => esc_html__('Classic BG', 'psychiatrist'),
			'type13'  => esc_html__('Tiny Boders', 'psychiatrist'),
			'type14'  => esc_html__('BG & Border', 'psychiatrist'),
			'type15'  => esc_html__('Classic BG Alt', 'psychiatrist'),
			'type16'  => esc_html__('Left Border & BG', 'psychiatrist'),
			'type17'  => esc_html__('Basic', 'psychiatrist'),
			'type18'  => esc_html__('BG & Pattern', 'psychiatrist'),
		),
		'class'   => 'chosen',
		'default' => 'default',
		'info'    => esc_html__('Choose the style of sidebar widget title.', 'psychiatrist')
	  ),

	  array(
		'id'              => 'widgetarea-custom',
		'type'            => 'group',
		'title'           => esc_html__('Custom Widget Area', 'psychiatrist'),
		'button_title'    => esc_html__('Add New', 'psychiatrist'),
		'accordion_title' => esc_html__('Add New Widget Area', 'psychiatrist'),
		'fields'          => array(

		  array(
			'id'          => 'widgetarea-custom-name',
			'type'        => 'text',
			'title'       => esc_html__('Name', 'psychiatrist'),
		  ),

		)
	  ),

	),
);

// -----------------------------------------
// Woocommerce Options
// -----------------------------------------
if( function_exists( 'is_woocommerce' ) ){

	$options[]      = array(
	  'name'        => 'woocommerce_options',
	  'title'       => esc_html__('Woocommerce', 'psychiatrist'),
	  'icon'        => 'fa fa-shopping-cart',

	  'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Woocommerce Shop Page Options", 'psychiatrist' ),
		  ),

		  array(
			'id'  		 => 'shop-product-per-page',
			'type'  	 => 'number',
			'title' 	 => esc_html__('Products Per Page', 'psychiatrist'),
			'after'		 => '<span class="cs-text-desc">&nbsp;'.esc_html__('Number of products to show in catalog / shop page', 'psychiatrist').'</span>',
			'default' 	 => 12,
		  ),

		  array(
			'id'           => 'product-style',
			'type'         => 'select',
			'title'        => esc_html__('Product Style', 'psychiatrist'),
			'options'      => array(
			  'type1' 	   => esc_html__('Thick Border', 'psychiatrist'),
			  'type2'      => esc_html__('Pattern Overlay', 'psychiatrist'),
			  'type3'  	   => esc_html__('Thin Border', 'psychiatrist'),
			  'type4'      => esc_html__('Diamond Icons', 'psychiatrist'),
			  'type5'      => esc_html__('Girly', 'psychiatrist'),
			  'type6'  	   => esc_html__('Push Animation', 'psychiatrist'),
			  'type7' 	   => esc_html__('Dual Color BG', 'psychiatrist'),
			  'type8' 	   => esc_html__('Modern', 'psychiatrist'),
			  'type9' 	   => esc_html__('Diamond & Border', 'psychiatrist'),
			  'type10' 	   => esc_html__('Easing', 'psychiatrist'),
			  'type11' 	   => esc_html__('Boxed', 'psychiatrist'),
			  'type12' 	   => esc_html__('Easing Alt', 'psychiatrist'),
			  'type13' 	   => esc_html__('Parallel', 'psychiatrist'),
			  'type14' 	   => esc_html__('Pointer', 'psychiatrist'),
			  'type15' 	   => esc_html__('Diamond Flip', 'psychiatrist'),
			  'type16' 	   => esc_html__('Stack', 'psychiatrist'),
			  'type17' 	   => esc_html__('Bouncy', 'psychiatrist'),
			  'type18' 	   => esc_html__('Hexagon', 'psychiatrist'),
			  'type19' 	   => esc_html__('Masked Diamond', 'psychiatrist'),
			  'type20' 	   => esc_html__('Masked Circle', 'psychiatrist'),
			  'type21' 	   => esc_html__('Classic', 'psychiatrist'),
			),
			'class'        => 'chosen',
			'default' 	   => 'type6',
			'info'         => esc_html__('Choose products style to display shop & archive pages.', 'psychiatrist')
		  ),

		  array(
			'id'      	 => 'shop-page-product-layout',
			'type'       => 'image_select',
			'title'      => esc_html__('Product Layout', 'psychiatrist'),
			'options'    => array(
			  'one-half-column'     => PSYCHIATRIST_THEME_URI . '/cs-framework-override/images/one-half-column.png',
			  'one-third-column'    => PSYCHIATRIST_THEME_URI . '/cs-framework-override/images/one-third-column.png',
			  'one-fourth-column'   => PSYCHIATRIST_THEME_URI . '/cs-framework-override/images/one-fourth-column.png',
			),
			'default'      => 'one-third-column',
			'attributes'   => array(
			  'data-depend-id' => 'shop-page-product-layout',
			),
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Product Detail Page Options", 'psychiatrist' ),
		  ),

		  array(
			'id'      	   => 'product-layout',
			'type'         => 'image_select',
			'title'        => esc_html__('Layout', 'psychiatrist'),
			'options'      => array(
			  'content-full-width'   => PSYCHIATRIST_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
			  'with-left-sidebar'    => PSYCHIATRIST_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
			  'with-right-sidebar'   => PSYCHIATRIST_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
			  'with-both-sidebar'    => PSYCHIATRIST_THEME_URI . '/cs-framework-override/images/both-sidebar.png',
			),
			'default'      => 'content-full-width',
			'attributes'   => array(
			  'data-depend-id' => 'product-layout',
			),
		  ),

		  array(
			'id'  		 	 => 'show-shop-standard-left-sidebar-for-product-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Left Sidebar', 'psychiatrist'),
			'dependency'   	 => array( 'product-layout', 'any', 'with-left-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'id'  			 => 'show-shop-standard-right-sidebar-for-product-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Right Sidebar', 'psychiatrist'),
			'dependency' 	 => array( 'product-layout', 'any', 'with-right-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'id'  		 	 => 'enable-related',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Related Products', 'psychiatrist'),
			'info'	  		 => esc_html__("YES! to display related products on single product's page.", 'psychiatrist')
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Product Category Page Options", 'psychiatrist' ),
		  ),

		  array(
			'id'      	   => 'product-category-layout',
			'type'         => 'image_select',
			'title'        => esc_html__('Layout', 'psychiatrist'),
			'options'      => array(
			  'content-full-width'   => PSYCHIATRIST_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
			  'with-left-sidebar'    => PSYCHIATRIST_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
			  'with-right-sidebar'   => PSYCHIATRIST_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
			  'with-both-sidebar'    => PSYCHIATRIST_THEME_URI . '/cs-framework-override/images/both-sidebar.png',
			),
			'default'      => 'content-full-width',
			'attributes'   => array(
			  'data-depend-id' => 'product-category-layout',
			),
		  ),

		  array(
			'id'  		 	 => 'show-shop-standard-left-sidebar-for-product-category-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Left Sidebar', 'psychiatrist'),
			'dependency'   	 => array( 'product-category-layout', 'any', 'with-left-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'id'  			 => 'show-shop-standard-right-sidebar-for-product-category-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Right Sidebar', 'psychiatrist'),
			'dependency' 	 => array( 'product-category-layout', 'any', 'with-right-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Product Tag Page Options", 'psychiatrist' ),
		  ),

		  array(
			'id'      	   => 'product-tag-layout',
			'type'         => 'image_select',
			'title'        => esc_html__('Layout', 'psychiatrist'),
			'options'      => array(
			  'content-full-width'   => PSYCHIATRIST_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
			  'with-left-sidebar'    => PSYCHIATRIST_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
			  'with-right-sidebar'   => PSYCHIATRIST_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
			  'with-both-sidebar'    => PSYCHIATRIST_THEME_URI . '/cs-framework-override/images/both-sidebar.png',
			),
			'default'      => 'content-full-width',
			'attributes'   => array(
			  'data-depend-id' => 'product-tag-layout',
			),
		  ),

		  array(
			'id'  		 	 => 'show-shop-standard-left-sidebar-for-product-tag-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Left Sidebar', 'psychiatrist'),
			'dependency'   	 => array( 'product-tag-layout', 'any', 'with-left-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'id'  			 => 'show-shop-standard-right-sidebar-for-product-tag-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Right Sidebar', 'psychiatrist'),
			'dependency' 	 => array( 'product-tag-layout', 'any', 'with-right-sidebar,with-both-sidebar' ),
		  ),

	  ),
	);
}

// -----------------------------------------
// Hook Options
// -----------------------------------------
$options[]      = array(
  'name'        => 'hook_options',
  'title'       => esc_html__('Hooks', 'psychiatrist'),
  'icon'        => 'fa fa-paperclip',

  'fields'      => array(

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Top Hook", 'psychiatrist' ),
	  ),

	  array(
		'id'  	=> 'enable-top-hook',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Top Hook', 'psychiatrist'),
		'info'	=> esc_html__("YES! to enable top hook.", 'psychiatrist')
	  ),

	  array(
		'id'  		 => 'top-hook',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Top Hook', 'psychiatrist'),
		'info'		 => esc_html__('Paste your top hook, Executes after the opening &lt;body&gt; tag.', 'psychiatrist')
	  ),

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Content Before Hook", 'psychiatrist' ),
	  ),

	  array(
		'id'  	=> 'enable-content-before-hook',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Content Before Hook', 'psychiatrist'),
		'info'	=> esc_html__("YES! to enable content before hook.", 'psychiatrist')
	  ),

	  array(
		'id'  		 => 'content-before-hook',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Content Before Hook', 'psychiatrist'),
		'info'		 => esc_html__('Paste your content before hook, Executes before the opening &lt;#primary&gt; tag.', 'psychiatrist')
	  ),

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Content After Hook", 'psychiatrist' ),
	  ),

	  array(
		'id'  	=> 'enable-content-after-hook',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Content After Hook', 'psychiatrist'),
		'info'	=> esc_html__("YES! to enable content after hook.", 'psychiatrist')
	  ),

	  array(
		'id'  		 => 'content-after-hook',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Content After Hook', 'psychiatrist'),
		'info'		 => esc_html__('Paste your content after hook, Executes after the closing &lt;/#main&gt; tag.', 'psychiatrist')
	  ),

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Bottom Hook", 'psychiatrist' ),
	  ),

	  array(
		'id'  	=> 'enable-bottom-hook',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Bottom Hook', 'psychiatrist'),
		'info'	=> esc_html__("YES! to enable bottom hook.", 'psychiatrist')
	  ),

	  array(
		'id'  		 => 'bottom-hook',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Bottom Hook', 'psychiatrist'),
		'info'		 => esc_html__('Paste your bottom hook, Executes after the closing &lt;/body&gt; tag.', 'psychiatrist')
	  ),

  array(
		'id'  	=> 'enable-analytics-code',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Tracking Code', 'psychiatrist'),
		'info'	=> esc_html__("YES! to enable site tracking code.", 'psychiatrist')
	  ),

	  array(
		'id'  		 => 'analytics-code',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Google Analytics Tracking Code', 'psychiatrist'),
		'info'		 => esc_html__('Either enter your Google tracking id (UA-XXXXX-X) here. If you want to offer your visitors the option to stop being tracked you can place the shortcode [dt_sc_privacy_google_tracking] somewhere on your site', 'psychiatrist')
	  ),

   ),
);

// ------------------------------
// backup
// ------------------------------
$options[]   = array(
  'name'     => 'backup_section',
  'title'    => esc_html__('Backup', 'psychiatrist'),
  'icon'     => 'fa fa-shield',
  'fields'   => array(
    array(
      'type'    => 'notice',
      'class'   => 'warning',
      'content' => esc_html__('You can save your current options. Download a Backup and Import.', 'psychiatrist')
    ),
    array(
      'type'    => 'backup',
    ),
  )
);

// ------------------------------
// license
// ------------------------------
$options[]   = array(
  'name'     => 'theme_version',
  'title'    => constant('PSYCHIATRIST_THEME_NAME').esc_html__(' Log', 'psychiatrist'),
  'icon'     => 'fa fa-info-circle',
  'fields'   => array(

    array(
      'type'    => 'heading',
      'content' => constant('PSYCHIATRIST_THEME_NAME').esc_html__(' Theme Change Log', 'psychiatrist')
    ),
    array(
      'type'    => 'content',
	  'content' => '<pre>

2024.08.13 - version 2.9
	*Updated: WooCommerce outdated files.
	*Compatible: Latest WordPress and Premium plugins.
	*Updated: WDT Importer source.
	*Fixed: Warnings and Deprecated errors.	  

2023.11.02 - version 2.8
	* Compatible: WordPress 6.3.2
	* Updated: Unyson plugin source updated

2023.06.03 - version 2.7
	* Compatible with WordPress 6.2
	* Compatible with PHP 8.2 version
	* Updated: All premium plugins
	* Resolved PHP warnings and deprecated errors.
	* Doctors Addon erros fixed.	  

2022.12.22 - version 2.6
	* Compatible with WordPress 6.1.1
	* Compatible with latest WooCommerce versions
	* Compatible with PHP 8.1 version
	* Updated: All premium plugins

2022.05.22 - version 2.5
	* Doctor Addon Plugin Installation Fatal Error Fixed and Updated

2022.02.22 - version 2.4
	* Fixed Kirki Customizer Issue
	
2021.01.23 - version 2.3
	* Compatible with wordpress 5.6
	* Some design issues updated
	* Updated: All premium plugins


2020.12.11 - version 2.2
	* Latest jQuery fixes updated
	* Updated: All premium plugins

2020.08.13 - version 2.1
	* Compatible with wordpress 5.5

2020.08.03 - version 2.0

	* Updated: Envato Theme check
	* Updated: sanitize_text_field added
	* Updated: All wordpress theme standards
	* Updated: All premium plugins

2020.02.03 - version 1.9

	* Compatible with wordpress 5.3.2
	* Updated: All premium plugins
	* Updated: All wordpress theme standards
	* Updated: Privacy and Cookies concept

	* Fixed: Privacy Button Issue

	* Improved: Single product breadcrumb section
	* Improved: Revisions options added for all custom posts

2019.11.11 – version 1.8
	* Compatible with wordpress 5.2.4
	* Updated: All wordpress theme standards
	* Updated: All premium plugins
	* Updated: Revisions added to all custom post types
	* Updated: Gutenberg editor support for custom post types
	* Updated: Link for phone number module

	* Fixed: Customizer logo option
	* Fixed: Google Analytics issue
	* Fixed: Mailchimp email client issue
	* Fixed: Gutenberg check for old wordpress version
	* Fixed: Site title color
	* Fixed: Privacy popup bg color

	* Improved: Tags taxonomy added for portfolio
	* Improved: Woocommerce cart module added with custom class option

	* New: Whatsapp Shortcode

2019.06.07 – version 1.7
	* Gutenberg Latest update compatible
	* Added Portfolio video option
	* Added link for image caption module
	* Fixed  - Coming Soon page issue
	* Fixed  - Menu image issue
	* Fixed - Product single page comment box
	* Fixed - shortcodes issues
	* Updated Codestar framework
	* Updated wpml xml file
	* Updated latest version of all third party plugins
	* Some design tweaks

2019.01.18 - version 1.6
	* Gutenberg compatible
	* Latest WordPress version 5.0.3 compatible
	* Updated latest version of all third party plugins
	* Some design tweaks

2018.11.28 - version 1.5
	* Updated envato plugin
	* Updated Visual Composer plugin

2018.11.10 - version 1.4
	* Gutenberg plugin compatible
	* Latest wordpress version 4.9.8 compatible
	* Updated latest version of all third party plugins
	* Updated documentation

2018.08.04 - version 1.3
	* GDPR Compliant update in comment form, mailchimp form etc.
	* Compatible with wordpress 4.9.8
	* Google Map Api Key Fix

2018.07.11 - version 1.2
	* Fix - Bulk plugins install issue
	* Fix - Woocommerce outdated files
	* Fix - Updated the no link menu issue
	* Fix - Iphone sidebar issue
	* Fix - Add target attribute for social media
	* Fix - Added the smile fonts folder
	* Fix - Woocommerce custom sidebar issue
	* Fix - Option for change the site title color
	* Updated documentation
	* Updated designthemes core features plugin
	* Fix - Buddypress issue
	* Fix - Twitter feeds links issue
	* Fix - Unyson Page Bilder Conflict
	* Fix - Nav Menu Role Plugin compatible.
	* Fix - Added the smile fonts folder
	* Updated demo contents
	* Updated language files
	* Updated all third party plugins
	* Fix - All theme functions updated for child theme support
	* Fix - youtube and vimeo video issue in https
	* Fix - Some Design Tweaks
	* Fix - Shop Page Breadcrumb issue
	* Fix - PayPal Issue
	* Fix - Event Category
	* Fix - Doctors module update
	* Fix - Mail Server

2017.06.22 - version 1.1
	* Few Shortcodes issues fixed
	* Page with Sidebar issue fixed
	* Default Breadcrumb options issues fixed
	* Empty footer widget area displayed issue fixed
	* WordPress 4.8 Compatible

2017.05.31 - version 1.0
	* First release!</pre>',
    ),

  )
);

// ------------------------------
// Seperator
// ------------------------------
$options[] = array(
  'name'   => 'seperator_1',
  'title'  => esc_html__('Plugin Options', 'psychiatrist'),
  'icon'   => 'fa fa-plug'
);


CSFramework::instance( $settings, $options );