<?php
if( !class_exists('DTDoctorModuleCustomPostTypes') ) {
	
	class DTDoctorModuleCustomPostTypes {
		
		function __construct() {
			
			// Add Hook into the 'wp_enqueue_scripts()' action			
			add_action ( 'wp_enqueue_scripts', array ( $this, 'dt_wp_enqueue_scripts' ) );
			
			// Doctor custom post type
			require_once plugin_dir_path ( __FILE__ ) . '/dt-doctor-post-type.php';
			if( class_exists('DTDoctorPostType') ) {
				new DTDoctorPostType();
			}
			
			// Procedure custom post type
			require_once plugin_dir_path ( __FILE__ ) . '/dt-procedure-post-type.php';
			if( class_exists('DTProcedurePostType') ) {
				new DTProcedurePostType();
			}
		}
		
		/**
		 * A function hook that the WordPress core launches at 'wp_enqueue_scripts' points
		 * Works in both front and back end
		 */
		function dt_wp_enqueue_scripts() {
			
			wp_enqueue_script('jquery-ui-datepicker');
			wp_enqueue_style('jquery-ui-datepicker','http'.psychiatrist_ssl().'://code.jquery.com/ui/1.11.0/themes/smoothness/jquery-ui.css' );
			wp_enqueue_script('jq-reservation', plugins_url ('designthemes-doctor-addon') . '/js/reservation.js', array(), false, true);
			wp_localize_script('jq-reservation', 'dtAppointmentCustom', array(
				'plugin_url'      => plugin_dir_url ( __FILE__ ),
				'eraptdatepicker' => esc_html__('Please Select Service and Date', 'psychiatrist-doctor'),
			));

			wp_enqueue_script ( 'dt-doctor-addon', plugins_url ('designthemes-doctor-addon') . '/js/doctors.js', array ('jquery'), false, true );
			wp_enqueue_style ( 'dt-doctor-addon', plugins_url ('designthemes-doctor-addon') . '/css/doctors.css', array (), false, 'all' );
		}
	}
}?>