<?php get_header(); 
  $page_layout = cs_get_option( 'procedure-archives-page-layout' );
  $page_layout  = !empty( $page_layout ) ? $page_layout : "content-full-width";
  
  $show_sidebar = $show_left_sidebar = $show_right_sidebar = false;
  $sidebar_class = "";
  
  switch ( $page_layout ) {
    case 'with-left-sidebar':
      $page_layout = "page-with-sidebar with-left-sidebar";
      $show_sidebar = $show_left_sidebar = true;
      $sidebar_class = "secondary-has-left-sidebar";
    break;

    case 'with-right-sidebar':
      $page_layout = "page-with-sidebar with-right-sidebar";
      $show_sidebar = $show_right_sidebar = true;
      $sidebar_class = "secondary-has-right-sidebar";
    break;
    
    case 'with-both-sidebar':
      $page_layout = "page-with-sidebar with-both-sidebar";
      $show_sidebar = $show_left_sidebar = $show_right_sidebar  = true;
      $sidebar_class = "secondary-has-both-sidebar";
    break;

    case 'content-full-width':
    default:
      $page_layout = "content-full-width";
    break;
  }

  if ( $show_sidebar ):
    if ( $show_left_sidebar ): ?>
      <!-- Secondary Left -->
      <section id="secondary-left" class="secondary-sidebar <?php echo esc_attr( $sidebar_class );?>"><?php get_sidebar('left');?></section>
      <!-- Secondary Left --><?php
    endif;
  endif;?>

  <section id="primary" class="<?php echo esc_attr( $page_layout );?>"><?php
    $post_layout = cs_get_option( 'procedure-archives-post-layout' );
    $post_layout = isset( $post_layout ) ? $post_layout : 'one-fourth-column';

    switch($post_layout):
      case 'one-third-column':
        $post_class = $show_sidebar ? " dt-sc-fitness-procedure column dt-sc-one-third with-sidebar" : " dt-sc-fitness-procedure column dt-sc-one-third";
        $columns = 3;
      break;
      
      default:
      case 'one-fourth-column':
        $post_class = $show_sidebar ? " dt-sc-fitness-procedure column dt-sc-one-fourth with-sidebar" : " dt-sc-fitness-procedure column dt-sc-one-fourth";
        $columns = 4;
      break;
    endswitch;

    if( have_posts() ) : ?>
      <div class="dt-sc-fitness-procedure-container"><?php
        while( have_posts() ):
          the_post();
		  $PID = get_the_ID(); ?>
		  <div class="<?php echo $post_class; ?>">
          	  <div class="dt-sc-popular-procedures"><?php
				  if(has_post_thumbnail()): ?>
                      <div class="image"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php
                          $attr = array('title' => get_the_title(), 'alt' => get_the_title());
                          the_post_thumbnail('full', $attr); ?>
                      </a></div><?php
				  endif; ?>
                  <div class="details">
                  	  <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><h3><?php the_title(); ?></h3></a>
                      <?php echo psychiatrist_excerpt(25); ?>
                      <div class="dt-sc-fitness-procedure-meta"><?php
						  $procedure_settings = get_post_meta($PID, '_custom_settings', true);
						  $procedure_settings = is_array ( $procedure_settings ) ? $procedure_settings : array ();
						  if( array_key_exists('procedure_opt_flds', $procedure_settings) ): ?>
							  <ul><?php
								  for($i = 1; $i <= (sizeof($procedure_settings['procedure_opt_flds']) / 2); $i++):

									  $title = $procedure_settings['procedure_opt_flds']['procedure_opt_flds_title_'.$i];
									  $value = $procedure_settings['procedure_opt_flds']['procedure_opt_flds_value_'.$i];

									  if( !empty($value) ):
										  echo '<li>';
											  echo '<h6>'.esc_html($title).'</h6>';
											  echo '<p>'.esc_html($value).'</p>';
										  echo '</li>';
									  endif;
								  endfor; ?>
							  </ul><?php
						  endif; ?>
                      </div><?php
					  if(array_key_exists('price', $procedure_settings)): ?>
						  <h5><?php echo esc_html($procedure_settings["price"]); ?></h5><?php
					  endif; ?>
                  </div>
              </div>
		  </div><?php
        endwhile;?>
      </div><?php
    endif;?>
    <!-- **Pagination** -->
    <div class="pagination blog-pagination">
      <?php echo psychiatrist_pagination(); ?>
    </div><!-- **Pagination** -->
  </section><!-- **Primary - End** --><?php

  if ( $show_sidebar ):
    if ( $show_right_sidebar ): ?>
      <!-- Secondary Right -->
      <section id="secondary-right" class="secondary-sidebar <?php echo esc_attr( $sidebar_class );?>"><?php get_sidebar('right');?></section>
      <!-- Secondary Right --><?php
    endif;
  endif;
get_footer();?>