<?php
add_action( 'vc_before_init', 'dt_sc_doctors_with_filter_vc_map' );
function dt_sc_doctors_with_filter_vc_map() {

	$plural_name    = esc_html__('Doctors', 'psychiatrist-doctor');
	if( function_exists( 'psychiatrist_cs_get_option' ) ) :
		$plural_name	=	psychiatrist_cs_get_option( 'plural-doctor-name', $plural_name );
	endif;

	vc_map( array(
		"name" => esc_html__("Filterable Doctors", "psychiatrist-doctor"),
		"base" => "dt_sc_doctors_with_filter",
		"icon" => "dt_sc_doctors_with_filter",
		"category" => $plural_name,
		'description' => esc_html__("To Show doctors with filterable option", "psychiatrist-doctor"),
		"params" => array(
			array( 
				'type' => 'dropdown',
				'param_name' => 'column',
				'value' => array(
					esc_html__( 'One Column', 'psychiatrist-doctor' ) => '1',
					esc_html__( 'Two Columns', 'psychiatrist-doctor' ) => '2',
					esc_html__( 'Three Columns', 'psychiatrist-doctor') => '3'
				),
      			'admin_label' => true,
      			'std' => 3,
				'heading' => esc_html__( 'Layout', 'psychiatrist-doctor' ),
				'description' => esc_html__( 'Select filterable doctor display layout.', 'psychiatrist-doctor' )				
			)			
		)
	) );
}?>