<?php
add_action( 'vc_before_init', 'dt_sc_procedures_with_filter_vc_map' );
function dt_sc_procedures_with_filter_vc_map() {

	$plural_name    = esc_html__('Procedures', 'psychiatrist-doctor');
	if( function_exists( 'psychiatrist_cs_get_option' ) ) :
		$plural_name	=	psychiatrist_cs_get_option( 'plural-procedure-name', $plural_name );
	endif;

	vc_map( array(
		"name" => esc_html__("Filterable Procedures", "psychiatrist-doctor"),
		"base" => "dt_sc_procedures_with_filter",
		"icon" => "dt_sc_procedures_with_filter",
		"category" => $plural_name,
		"params" => array(

     		# Categories
      		array(
      			"type" => "textfield",
      			"heading" => esc_html__( "Categories", "psychiatrist-doctor" ),
      			"param_name" => "categories",
				'description' => esc_html__( 'Enter category id or ids, seperated by comma', 'psychiatrist-doctor' ),
      		),

			# Posts Column
			array(
				'type' => 'dropdown',
				'param_name' => 'posts_column',
				'value' => array(
					esc_html__('Three columns','psychiatrist-doctor') => 'one-third-column',
					esc_html__('Four columns','psychiatrist-doctor') => 'one-fourth-column'
				),
				'heading' => esc_html__( 'Columns', 'psychiatrist-doctor' ),
				'std' => 'one-half-column'
			),

     		# Limit
      		array(
      			"type" => "textfield",
      			"heading" => esc_html__( "Limit", "psychiatrist-doctor" ),
      			"param_name" => "limit",
      			"value" => -1,
				'description' => esc_html__( 'Enter number of procedures to display.', 'psychiatrist-doctor' ),
      		),

			# Filter
			array(
				'type' => 'dropdown',
				'param_name' => 'filter',
				'value' => array(
					esc_html__('Yes','psychiatrist-doctor') => 'yes',
					esc_html__('No','psychiatrist-doctor') => 'no'
				),
				'heading' => esc_html__( 'Filter?', 'psychiatrist-doctor' ),
				'std' => 'yes'
			),

			# Show Image
			array(
				'type' => 'dropdown',
				'param_name' => 'show_image',
				'value' => array(
					esc_html__('Yes','psychiatrist-doctor') => 'yes',
					esc_html__('No','psychiatrist-doctor') => 'no'
				),
				'heading' => esc_html__( 'Show Image?', 'psychiatrist-doctor' ),
				'std' => 'yes'
			),
		)
	) );
}?>