<?php
add_action( 'vc_before_init', 'dt_sc_procedure_item_vc_map' );
function dt_sc_procedure_item_vc_map() {

	$plural_name    = esc_html__('Procedures', 'psychiatrist-doctor');
	if( function_exists( 'psychiatrist_cs_get_option' ) ) :
		$plural_name	=	psychiatrist_cs_get_option( 'plural-procedure-name', $plural_name );
	endif;

	vc_map( array(
		"name" => esc_html__("Procedure Item", "psychiatrist-doctor"),
		"base" => "dt_sc_procedure_item",
		"icon" => "dt_sc_procedure_item",
		"category" => $plural_name,
		"params" => array(

			# ID
			array(
				"type" => "textfield",
				"heading" => esc_html__( "Enter Procedure ID", "psychiatrist-doctor" ),
				"param_name" => "procedure_id",
				"value" => '',
				"description" => esc_html__( 'Enter ID of procedure to display.', 'psychiatrist-doctor' ),
			),

			# Button Text
			array(
				"type" => "textfield",
				"heading" => esc_html__( "Button Text", "psychiatrist-doctor" ),
				"param_name" => "button_text",
				"value" => esc_html__('View Procedure', 'psychiatrist-doctor'),
				"description" => esc_html__( 'Enter button text.', 'psychiatrist-doctor' ),
			),

			# Excerpt Length
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Excerpt Length', 'psychiatrist-doctor' ),
				'param_name' => 'excerpt_length',
				'value' => 20
			)
	     )		
	) );
}?>