<?php
/**
 * Theme Functions
 *
 * @package DTtheme
 * @author DesignThemes
 * @link http://wedesignthemes.com
 */
define( 'PSYCHIATRIST_THEME_DIR', get_template_directory() );
define( 'PSYCHIATRIST_THEME_URI', get_template_directory_uri() );
define( 'PSYCHIATRIST_CORE_PLUGIN', WP_PLUGIN_DIR.'/designthemes-core-features' );

if (function_exists ('wp_get_theme')) :
	$themeData = wp_get_theme();
	define( 'PSYCHIATRIST_THEME_NAME', $themeData->get('Name'));
	define( 'PSYCHIATRIST_THEME_VERSION', $themeData->get('Version'));
endif;

/* ---------------------------------------------------------------------------
 * Loads Kirki
 * ---------------------------------------------------------------------------*/
require_once( PSYCHIATRIST_THEME_DIR .'/kirki/index.php' );

/* ---------------------------------------------------------------------------
 * Loads Codestar
 * ---------------------------------------------------------------------------*/
if( ! class_exists( 'CSFramework' ) ){

	define( 'CS_ACTIVE_TAXONOMY',   false );
	define( 'CS_ACTIVE_SHORTCODE',  false );
	define( 'CS_ACTIVE_CUSTOMIZE',  false );

	require_once PSYCHIATRIST_THEME_DIR .'/cs-framework/cs-framework.php';
	
	/* ---------------------------------------------------------------------------
	 * Create function to get theme options
	 * --------------------------------------------------------------------------- */
	function psychiatrist_cs_get_option($key, $value = '') {
	
		$v = cs_get_option( $key );
	
		if ( !empty( $v ) ) {
			return $v;
		} else {
			return $value;
		}
	}
}

/* ---------------------------------------------------------------------------
 * Loads Theme Text domain
 * ---------------------------------------------------------------------------*/ 
define( 'PSYCHIATRIST_LANG_DIR', PSYCHIATRIST_THEME_DIR. '/languages' );
load_theme_textdomain( 'psychiatrist', PSYCHIATRIST_LANG_DIR );

/* ---------------------------------------------------------------------------
 * Loads the Admin Panel Style
 * ---------------------------------------------------------------------------*/
function psychiatrist_admin_scripts() {
	wp_enqueue_style('psychiatrist-admin', PSYCHIATRIST_THEME_URI .'/cs-framework-override/style.css');
}
add_action( 'admin_enqueue_scripts', 'psychiatrist_admin_scripts' );

// Functions --------------------------------------------------------------------
require_once( PSYCHIATRIST_THEME_DIR .'/framework/register-functions.php' );
require_once( PSYCHIATRIST_THEME_DIR .'/framework/utils.php' );

// Header -----------------------------------------------------------------------
require_once( PSYCHIATRIST_THEME_DIR .'/framework/register-head.php' );

// Menu -------------------------------------------------------------------------
require_once( PSYCHIATRIST_THEME_DIR .'/framework/register-menu.php' );
require_once( PSYCHIATRIST_THEME_DIR .'/framework/register-mega-menu.php' );

// Hooks ------------------------------------------------------------------------
require_once( PSYCHIATRIST_THEME_DIR .'/framework/register-hooks.php' );

// Widgets ----------------------------------------------------------------------
add_action( 'widgets_init', 'psychiatrist_widgets_init' );
function psychiatrist_widgets_init() {
	require_once( PSYCHIATRIST_THEME_DIR .'/framework/register-widgets.php' );
}

// Plugins ---------------------------------------------------------------------- 
require_once( PSYCHIATRIST_THEME_DIR .'/framework/register-plugins.php' );

// WooCommerce ------------------------------------------------------------------
if( function_exists( 'is_woocommerce' ) ){
	require_once( PSYCHIATRIST_THEME_DIR .'/framework/register-woocommerce.php' );
}

// WP Store Locator -------------------------------------------------------------
if( class_exists( 'WP_Store_locator' ) ){
	require_once( PSYCHIATRIST_THEME_DIR .'/framework/register-storelocator.php' );
}

// Reservation Module -----------------------------------------------------------
if( class_exists('DTDoctorAddon') ){
	require_once( PSYCHIATRIST_THEME_DIR .'/framework/register-reservation.php' );
}
	
// Register Gutenberg -----------------------------------------------------------
require_once( PSYCHIATRIST_THEME_DIR .'/framework/register-gutenberg-editor.php' );