<?php

require_once get_template_directory() . '/kirki/kirki-utils.php';
require_once get_template_directory() . '/kirki/include-kirki.php';
require_once get_template_directory() . '/kirki/kirki.php';

$config = psychiatrist_kirki_config();

add_action('customize_register', 'psychiatrist_customize_register');
function psychiatrist_customize_register( $wp_customize ) {

	$wp_customize->remove_section( 'colors' );
	$wp_customize->remove_section( 'header_image' );
	$wp_customize->remove_section( 'background_image' );
	$wp_customize->remove_section( 'static_front_page' );

	$wp_customize->remove_section('themes');
	$wp_customize->get_section('title_tagline')->priority = 10;
}

add_action( 'customize_controls_print_styles', 'psychiatrist_enqueue_customizer_stylesheet' );
function psychiatrist_enqueue_customizer_stylesheet() {
	wp_register_style( 'psychiatrist-customizer-css', PSYCHIATRIST_THEME_URI.'/kirki/assets/css/customizer.css', NULL, NULL, 'all' );
	wp_enqueue_style( 'psychiatrist-customizer-css' );	
}

add_action( 'customize_controls_print_footer_scripts', 'psychiatrist_enqueue_customizer_script' );
function psychiatrist_enqueue_customizer_script() {
	wp_register_script( 'psychiatrist-customizer-js', PSYCHIATRIST_THEME_URI.'/kirki/assets/js/customizer.js', array('jquery', 'customize-controls' ), false, true );
	wp_enqueue_script( 'psychiatrist-customizer-js' );
}

# Theme Customizer Begins
PSYCHIATRIST_Kirki::add_config( $config , array(
	'capability'    => 'edit_theme_options',
	'option_type'   => 'theme_mod',
) );

	# Site Identity	
		# use-custom-logo
		PSYCHIATRIST_Kirki::add_field( $config, array(
			'type'     => 'switch',
			'settings' => 'use-custom-logo',
			'label'    => esc_html__( 'Logo ?', 'psychiatrist' ),
			'section'  => 'title_tagline',
			'priority' => 1,
			'default'  => psychiatrist_defaults('use-custom-logo'),
			'description' => esc_html__('Switch to Site title or Logo','psychiatrist'),
			'choices'  => array(
				'on'  => esc_html__( 'Logo', 'psychiatrist' ),
				'off'  => esc_html__( 'Site Title', 'psychiatrist' )
			)			
		) );

		# custom-logo
		PSYCHIATRIST_Kirki::add_field( $config, array(
			'type' => 'image',
			'settings' => 'custom-logo',
			'label'    => esc_html__( 'Logo', 'psychiatrist' ),
			'section'  => 'title_tagline',
			'priority' => 2,
			'default' => psychiatrist_defaults( 'custom-logo' ),
			'active_callback' => array(
				array( 'setting' => 'use-custom-logo', 'operator' => '==', 'value' => '1' )
			)
		));

		# custom-dark-logo
		PSYCHIATRIST_Kirki::add_field( $config, array(
			'type' => 'image',
			'settings' => 'custom-dark-logo',
			'label'    => esc_html__( 'Dark Logo', 'psychiatrist' ),
			'section'  => 'title_tagline',
			'priority' => 3,
			'default' => psychiatrist_defaults( 'custom-dark-logo' ),
			'active_callback' => array(
				array( 'setting' => 'use-custom-logo', 'operator' => '==', 'value' => '1' )
			)
		));		

		# site-loader
		PSYCHIATRIST_Kirki::add_field( $config, array(
			'type' => 'switch',
			'settings' => 'use-site-loader',
			'label'    => esc_html__( 'Use Site Loader?', 'psychiatrist' ),
			'section'  => 'title_tagline',
			'priority' => 100,
			'default' => psychiatrist_defaults( 'use-site-loader' )
		));

		# site-title-color
		PSYCHIATRIST_Kirki::add_field( $config, array(
			'type' => 'color',
			'settings' => 'custom-title',
			'label'    => esc_html__( 'Site Title Color', 'psychiatrist' ),
			'section'  => 'title_tagline',
			'priority' => 4,
			'active_callback' => array(
				array( 'setting' => 'use-custom-logo', 'operator' => '!=', 'value' => '1' )
			),
			'output' => array(
				array( 'element' => '#logo .logo-title > h1 a, #logo .logo-title h2' , 'property' => 'color' )
			),
			'choices' => array( 'alpha' => true ),
		));

	# Site Layout
	require_once get_template_directory() . '/kirki/options/site-layout.php';

	# Site Skin
	require_once get_template_directory() . '/kirki/options/site-skin.php';

	# Site Breadcrumb
	PSYCHIATRIST_Kirki::add_panel( 'dt_site_breadcrumb_panel', array(
		'title' =>esc_html__( 'Site Breadcrumb', 'psychiatrist' ),
		'description' => esc_html__('Site Breadcrumb','psychiatrist'),
		'priority' => 25
	) );
	require_once get_template_directory() . '/kirki/options/site-breadcrumb.php';
	
	# Site Header
	PSYCHIATRIST_Kirki::add_panel( 'dt_site_header_panel', array(
		'title' =>esc_html__( 'Site Header', 'psychiatrist' ),
		'description' => esc_html__('Site Header','psychiatrist'),
		'priority' => 30
	) );
	require_once get_template_directory() . '/kirki/options/site-header.php';

	# Site Menu
	PSYCHIATRIST_Kirki::add_panel( 'dt_site_menu_panel', array(
		'title' =>esc_html__( 'Site Menu', 'psychiatrist' ),
		'description' => esc_html__('Site Menu','psychiatrist'),
		'priority' => 35
	) );
	require_once get_template_directory() . '/kirki/options/site-menu/navigation.php';		

	# Site Footer I
		PSYCHIATRIST_Kirki::add_panel( 'dt_site_footer_i_panel', array(
			'title' =>esc_html__( 'Site Footer I', 'psychiatrist' ),
			'priority' => 40
		) );
		require_once get_template_directory() . '/kirki/options/site-footer-i.php';

	# Site Footer Copyright
	PSYCHIATRIST_Kirki::add_panel( 'dt_footer_copyright_panel', array(
		'title' =>esc_html__( 'Site Copyright', 'psychiatrist' ),
		'priority' => 50
	) );
	require_once get_template_directory() . '/kirki/options/site-footer-copyright.php';

	# Site Sociable
	require_once get_template_directory() . '/kirki/options/site-sociable.php';

	# Additional JS
	require_once get_template_directory() . '/kirki/options/custom-js.php';

	# Typography
	PSYCHIATRIST_Kirki::add_panel( 'dt_site_typography_panel', array(
		'title' =>esc_html__( 'Typography', 'psychiatrist' ),
		'description' => esc_html__('Typography Settings','psychiatrist'),
		'priority' => 220
	) );	
	require_once get_template_directory() . '/kirki/options/site-typography.php';	
# Theme Customizer Ends