<?php
function psychiatrist_kirki_config() {
	return 'psychiatrist_kirki_config';
}

function psychiatrist_defaults( $key = '' ) {
	$defaults = array();

	# site identify
	$defaults['use-custom-logo']    = '1';
	$defaults['custom-logo']        = PSYCHIATRIST_THEME_URI.'/images/logo.png';
	$defaults['custom-dark-logo']   = PSYCHIATRIST_THEME_URI.'/images/light-logo.png';
	$defaults['site_icon']          = PSYCHIATRIST_THEME_URI.'/images/favicon.ico';
	$defaults['custom-title-color'] = '#ffffff';

	# site layout
	$defaults['site-layout'] = 'wide';

	# site skin
	$defaults['use-predefined-skin']      = '1';
	$defaults['predefined-skin']          = 'skyblue-gold';
	$defaults['primary-color']            = '';
	$defaults['secondary-color']          = '';
	$defaults['tertiary-color']           = '';
	$defaults['quaternary-default-color'] = '';
	$defaults['quaternary-dark-color']    = '';
	$defaults['body-bg-color']            = '#ffffff';
	$defaults['body-content-color']       = '#666666';
	$defaults['body-a-color']             = '#e3ca94';
	$defaults['body-a-hover-color']       = '#666666';

	# site breadcrump
	$defaults['show-breadcrumb'] = '1';
	$defaults['breadcrumb-delimiter'] = 'fa default';
	$defaults['breadcrumb-style'] = 'default';
	$defaults['customize-breadcrumb-title-typo'] = '1';
	$defaults['breadcrumb-title-typo'] = array( 'font-family' => 'Open Sans',
		'variant' => 'regular',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '20px',
		'line-height' => '1.5',
		'letter-spacing' => '0',
		'color' => '#2b2b2b',
		'text-transform' => 'none' );
	$defaults['customize-breadcrumb-typo'] = '0';
	$defaults['breadcrumb-typo'] = array( 'font-family' => 'Open Sans',
		'variant' => 'regular',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '13px',
		'line-height' => '28px',
		'letter-spacing' => '0',
		'color' => '#333333',
		'text-transform' => 'none' );

	# site header
	$defaults['header-type'] = 'fullwidth-header';
	$defaults['enable-sticy-nav'] = '1';
	$defaults['header-position'] = 'on slider';
	$defaults['header-transparency'] = 'semi-transparent-header';
	$defaults['enable-header-darkbg'] = '0';
	$defaults['menu-search-icon'] = '1';
	$defaults['search-box-type'] = 'type2';
	$defaults['menu-cart-icon'] = '0';
	$defaults['enable-top-bar-content'] = '0';

	# site menu
	$defaults['menu-active-style'] =  'menu-default';
	$defaults['menu-hover-style'] =  '';

	# site footer
	$defaults['show-footer'] = '1';
	$defaults['footer-columns'] = '4';
	$defaults['customize-footer-title-typo'] = '1';
	$defaults['footer-title-typo'] = array( 'font-family' => 'Open Sans',
		'variant' => '700',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '20px',
		'line-height' => '36px',
		'letter-spacing' => '0',
		'color' => '#2B2B2B',
		'text-align' => 'left',
		'text-transform' => 'none' );
	$defaults['customize-footer-content-typo'] = '1';
	$defaults['footer-content-typo'] = array( 'font-family' => 'Open Sans',
		'variant' => 'regular',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '14px',
		'line-height' => '24px',
		'letter-spacing' => '0',
		'color' => '#333333',
		'text-align' => 'left',
		'text-transform' => 'none' );

	# site footer
	$defaults['show-copyright-text'] = '1';
	$defaults['copyright-text'] = '&copy; 2017 Psychiatrist. All rights reserved. Design by <a href="http://themeforest.net/user/designthemes">DesignThemes</a>';
	$defaults['enable-copyright-darkbg'] = '1';
	$defaults['copyright-next'] = 'footer-menu';
	$defaults['footer-sociables'] = array( 'facebook', 'google-plus', 'linkedin', 'instagram' );
	$defaults['customize-footer-copyright-bg'] = '0';
	$defaults['customize-footer-copyright-text-typo'] = '0';
	$defaults['customize-footer-menu-typo'] = '0';

	# site social
	$defaults['social-facebook'] = '#';
	$defaults['social-twitter'] = '#';
	$defaults['social-google-plus'] = '#';
	$defaults['social-instagram'] = '#';

	# site typography
	$defaults['customize-body-h1-typo'] = '1';
	$defaults['h1'] = array(
		'font-family' => 'Open Sans',
		'variant' => '700',
		'font-size' => '40px',
		'line-height' => '52px',
		'letter-spacing' => '',
		'color' => '#2B2B2B',
		'text-align' => 'initial',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h2-typo'] = '1';
	$defaults['h2'] = array(
		'font-family' => 'Open Sans',
		'variant' => '700',
		'font-size' => '34px',
		'line-height' => '50px',
		'letter-spacing' => '',
		'color' => '#2B2B2B',
		'text-align' => 'initial',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h3-typo'] = '1';
	$defaults['h3'] = array(
		'font-family' => 'Open Sans',
		'variant' => '700',
		'font-size' => '28px',
		'line-height' => '48px',
		'letter-spacing' => '',
		'color' => '#2B2B2B',
		'text-align' => 'initial',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h4-typo'] = '1';
	$defaults['h4'] = array(
		'font-family' => 'Open Sans',
		'variant' => '700',
		'font-size' => '24px',
		'line-height' => '34px',
		'letter-spacing' => '',
		'color' => '#2B2B2B',
		'text-align' => 'initial',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h5-typo'] = '1';
	$defaults['h5'] = array(
		'font-family' => 'Open Sans',
		'variant' => '700',
		'font-size' => '18px',
		'line-height' => '28px',
		'letter-spacing' => '',
		'color' => '#2B2B2B',
		'text-align' => 'initial',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h6-typo'] = '1';
	$defaults['h6'] = array(
		'font-family' => 'Open Sans',
		'variant' => '700',
		'font-size' => '16px',
		'line-height' => '16px',
		'letter-spacing' => '',
		'color' => '#2B2B2B',
		'text-align' => 'initial',
		'text-transform' => 'none'
	);
	$defaults['menu-typo'] = array(
		'font-family' => 'Open Sans',
		'font-size' => '',
		'line-height' => '',
		'letter-spacing' => '',
		'color' => '',
		'text-transform' => 'none'
	);
	$defaults['body-content-typo'] = array(
		'font-family' => 'Open Sans',
		'font-size' => '16px',
		'line-height' => '28px',
		'letter-spacing' => '',
		'color' => '#666666'
	);

	if( !empty( $key ) && array_key_exists( $key, $defaults) ) {
		return $defaults[$key];
	}

	return '';
}

function psychiatrist_image_positions() {

	$positions = array( "top left" => esc_attr__('Top Left','psychiatrist'),
		"top center"    => esc_attr__('Top Center','psychiatrist'),
		"top right"     => esc_attr__('Top Right','psychiatrist'),
		"center left"   => esc_attr__('Center Left','psychiatrist'),
		"center center" => esc_attr__('Center Center','psychiatrist'),
		"center right"  => esc_attr__('Center Right','psychiatrist'),
		"bottom left"   => esc_attr__('Bottom Left','psychiatrist'),
		"bottom center" => esc_attr__('Bottom Center','psychiatrist'),
		"bottom right"  => esc_attr__('Bottom Right','psychiatrist'),
	);

	return $positions;
}

function psychiatrist_image_repeats() {

	$image_repeats = array( "repeat" => esc_attr__('Repeat','psychiatrist'),
		"repeat-x"  => esc_attr__('Repeat in X-axis','psychiatrist'),
		"repeat-y"  => esc_attr__('Repeat in Y-axis','psychiatrist'),
		"no-repeat" => esc_attr__('No Repeat','psychiatrist')
	);

	return $image_repeats;
}

function psychiatrist_border_styles() {

	$image_repeats = array(
		"dotted" => esc_attr__('Dotted','psychiatrist'),
		"dashed" => esc_attr__('Dashed','psychiatrist'),
		"solid"	 => esc_attr__('Solid','psychiatrist'),
		"double" => esc_attr__('Double','psychiatrist'),
		"groove" => esc_attr__('Groove','psychiatrist'),
		"ridge"	 => esc_attr__('Ridge','psychiatrist'),
	);

	return $image_repeats;
}

function psychiatrist_animations() {

	$animations = array(
		'' 					 => esc_html__('Default','psychiatrist'),	
		"bigEntrance"        =>  esc_attr__("bigEntrance",'psychiatrist'),
        "bounce"             =>  esc_attr__("bounce",'psychiatrist'),
        "bounceIn"           =>  esc_attr__("bounceIn",'psychiatrist'),
        "bounceInDown"       =>  esc_attr__("bounceInDown",'psychiatrist'),
        "bounceInLeft"       =>  esc_attr__("bounceInLeft",'psychiatrist'),
        "bounceInRight"      =>  esc_attr__("bounceInRight",'psychiatrist'),
        "bounceInUp"         =>  esc_attr__("bounceInUp",'psychiatrist'),
        "bounceOut"          =>  esc_attr__("bounceOut",'psychiatrist'),
        "bounceOutDown"      =>  esc_attr__("bounceOutDown",'psychiatrist'),
        "bounceOutLeft"      =>  esc_attr__("bounceOutLeft",'psychiatrist'),
        "bounceOutRight"     =>  esc_attr__("bounceOutRight",'psychiatrist'),
        "bounceOutUp"        =>  esc_attr__("bounceOutUp",'psychiatrist'),
        "expandOpen"         =>  esc_attr__("expandOpen",'psychiatrist'),
        "expandUp"           =>  esc_attr__("expandUp",'psychiatrist'),
        "fadeIn"             =>  esc_attr__("fadeIn",'psychiatrist'),
        "fadeInDown"         =>  esc_attr__("fadeInDown",'psychiatrist'),
        "fadeInDownBig"      =>  esc_attr__("fadeInDownBig",'psychiatrist'),
        "fadeInLeft"         =>  esc_attr__("fadeInLeft",'psychiatrist'),
        "fadeInLeftBig"      =>  esc_attr__("fadeInLeftBig",'psychiatrist'),
        "fadeInRight"        =>  esc_attr__("fadeInRight",'psychiatrist'),
        "fadeInRightBig"     =>  esc_attr__("fadeInRightBig",'psychiatrist'),
        "fadeInUp"           =>  esc_attr__("fadeInUp",'psychiatrist'),
        "fadeInUpBig"        =>  esc_attr__("fadeInUpBig",'psychiatrist'),
        "fadeOut"            =>  esc_attr__("fadeOut",'psychiatrist'),
        "fadeOutDownBig"     =>  esc_attr__("fadeOutDownBig",'psychiatrist'),
        "fadeOutLeft"        =>  esc_attr__("fadeOutLeft",'psychiatrist'),
        "fadeOutLeftBig"     =>  esc_attr__("fadeOutLeftBig",'psychiatrist'),
        "fadeOutRight"       =>  esc_attr__("fadeOutRight",'psychiatrist'),
        "fadeOutUp"          =>  esc_attr__("fadeOutUp",'psychiatrist'),
        "fadeOutUpBig"       =>  esc_attr__("fadeOutUpBig",'psychiatrist'),
        "flash"              =>  esc_attr__("flash",'psychiatrist'),
        "flip"               =>  esc_attr__("flip",'psychiatrist'),
        "flipInX"            =>  esc_attr__("flipInX",'psychiatrist'),
        "flipInY"            =>  esc_attr__("flipInY",'psychiatrist'),
        "flipOutX"           =>  esc_attr__("flipOutX",'psychiatrist'),
        "flipOutY"           =>  esc_attr__("flipOutY",'psychiatrist'),
        "floating"           =>  esc_attr__("floating",'psychiatrist'),
        "hatch"              =>  esc_attr__("hatch",'psychiatrist'),
        "hinge"              =>  esc_attr__("hinge",'psychiatrist'),
        "lightSpeedIn"       =>  esc_attr__("lightSpeedIn",'psychiatrist'),
        "lightSpeedOut"      =>  esc_attr__("lightSpeedOut",'psychiatrist'),
        "pullDown"           =>  esc_attr__("pullDown",'psychiatrist'),
        "pullUp"             =>  esc_attr__("pullUp",'psychiatrist'),
        "pulse"              =>  esc_attr__("pulse",'psychiatrist'),
        "rollIn"             =>  esc_attr__("rollIn",'psychiatrist'),
        "rollOut"            =>  esc_attr__("rollOut",'psychiatrist'),
        "rotateIn"           =>  esc_attr__("rotateIn",'psychiatrist'),
        "rotateInDownLeft"   =>  esc_attr__("rotateInDownLeft",'psychiatrist'),
        "rotateInDownRight"  =>  esc_attr__("rotateInDownRight",'psychiatrist'),
        "rotateInUpLeft"     =>  esc_attr__("rotateInUpLeft",'psychiatrist'),
        "rotateInUpRight"    =>  esc_attr__("rotateInUpRight",'psychiatrist'),
        "rotateOut"          =>  esc_attr__("rotateOut",'psychiatrist'),
        "rotateOutDownRight" =>  esc_attr__("rotateOutDownRight",'psychiatrist'),
        "rotateOutUpLeft"    =>  esc_attr__("rotateOutUpLeft",'psychiatrist'),
        "rotateOutUpRight"   =>  esc_attr__("rotateOutUpRight",'psychiatrist'),
        "shake"              =>  esc_attr__("shake",'psychiatrist'),
        "slideDown"          =>  esc_attr__("slideDown",'psychiatrist'),
        "slideExpandUp"      =>  esc_attr__("slideExpandUp",'psychiatrist'),
        "slideLeft"          =>  esc_attr__("slideLeft",'psychiatrist'),
        "slideRight"         =>  esc_attr__("slideRight",'psychiatrist'),
        "slideUp"            =>  esc_attr__("slideUp",'psychiatrist'),
        "stretchLeft"        =>  esc_attr__("stretchLeft",'psychiatrist'),
        "stretchRight"       =>  esc_attr__("stretchRight",'psychiatrist'),
        "swing"              =>  esc_attr__("swing",'psychiatrist'),
        "tada"               =>  esc_attr__("tada",'psychiatrist'),
        "tossing"            =>  esc_attr__("tossing",'psychiatrist'),
        "wobble"             =>  esc_attr__("wobble",'psychiatrist'),
        "fadeOutDown"        =>  esc_attr__("fadeOutDown",'psychiatrist'),
        "fadeOutRightBig"    =>  esc_attr__("fadeOutRightBig",'psychiatrist'),
        "rotateOutDownLeft"  =>  esc_attr__("rotateOutDownLeft",'psychiatrist')
    );

	return $animations;
}