<?php
$config = psychiatrist_kirki_config();

# Breadcrumb Settings
PSYCHIATRIST_Kirki::add_section( 'dt_site_breadcrumb_section', array(
	'title' =>esc_html__( 'Breadcrumb', 'psychiatrist' ),
	'panel' => 'dt_site_breadcrumb_panel',
	'priority' => 1,	
) );

	# show-breadcrumb
	PSYCHIATRIST_Kirki::add_field( $config, array(
		'type'     => 'switch',
		'settings' => 'show-breadcrumb',
		'label'    => esc_html__( 'Show Breadcrumb', 'psychiatrist' ),
		'section'  => 'dt_site_breadcrumb_section',
		'default'  => '1',
		'choices'  => array(
			'on'  => esc_html__( 'Yes', 'psychiatrist' ),
			'off'  => esc_html__( 'No', 'psychiatrist' )
		)
	));

	# breadcrumb-delimiter	
	PSYCHIATRIST_Kirki::add_field( $config, array(
		'type'     => 'select',
		'settings' => 'breadcrumb-delimiter',
		'label'    => esc_html__( 'Breadcrumb Delimiter', 'psychiatrist' ),
		'section'  => 'dt_site_breadcrumb_section',
		'default'  => psychiatrist_defaults( 'breadcrumb-delimiter' ),
		'choices'  => array(
			"fa default" => esc_attr__('Default','psychiatrist'),
			"fa fa-angle-double-right" => esc_attr__('Double Angle Right','psychiatrist'),
			"fa fa-sort" => esc_attr__('Sort','psychiatrist'),
			"fa fa-arrow-circle-right" => esc_attr__('Arrow Circle Right','psychiatrist'),
			"fa fa-angle-right" => esc_attr__('Angle Right','psychiatrist'),
			"fa fa-caret-right" => esc_attr__('Caret Right','psychiatrist'),
			"fa fa-arrow-right" => esc_attr__('Arrow Right','psychiatrist'),
			"fa fa-chevron-right" => esc_attr__('Chevron Right','psychiatrist'),
			"fa fa-hand-o-right" => esc_attr__('Hand Right','psychiatrist'),
			"fa fa-plus" => esc_attr__('Plus','psychiatrist'),
			"fa fa-remove" => esc_attr__('Remove','psychiatrist'),
			"fa fa-glass" => esc_attr__('Glass','psychiatrist'),				
		),
		'active_callback' => array(
			array( 'setting' => 'show-breadcrumb', 'operator' => '==', 'value' => '1' )
		)			
	));

	# breadcrumb-style	
	PSYCHIATRIST_Kirki::add_field( $config, array(
		'type'     => 'select',
		'settings' => 'breadcrumb-style',
		'label'    => esc_html__( 'Breadcrumb Style', 'psychiatrist' ),
		'section'  => 'dt_site_breadcrumb_section',
		'default'  => psychiatrist_defaults( 'breadcrumb-style' ),
		'choices'  => array(
			"default"	=> esc_attr__('Default','psychiatrist'),
			"aligncenter"	=> esc_attr__('Align Center','psychiatrist'),
			"alignright"	=> esc_attr__('Align Right','psychiatrist'),
			"breadcrumb-left"	=> esc_attr__('Left Side Breadcrumb','psychiatrist'),
			"breadcrumb-right"	=> esc_attr__('Right Side Breadcrumb','psychiatrist'),
			"breadcrumb-top-right-title-center"	=> esc_attr__('Top Right Title Center','psychiatrist'),
			"breadcrumb-top-left-title-center"	=> esc_attr__('Top Left Title Center','psychiatrist'),				
		),
		'active_callback' => array(
			array( 'setting' => 'show-breadcrumb', 'operator' => '==', 'value' => '1' )
		)			
	));

# Breadcrumb Background Settings
PSYCHIATRIST_Kirki::add_section( 'dt_site_breadcrumb_bg_section', array(
	'title' =>esc_html__( 'Background', 'psychiatrist' ),
	'panel' => 'dt_site_breadcrumb_panel',
	'priority' => 2,	
) );
		# customize-breadcrumb-bg
		PSYCHIATRIST_Kirki::add_field( $config, array(
			'type'     => 'switch',
			'settings' => 'customize-breadcrumb-bg',
			'label'    => esc_html__( 'Customize Background ?', 'psychiatrist' ),
			'section'  => 'dt_site_breadcrumb_bg_section',
			'default'  => psychiatrist_defaults('customize-breadcrumb-bg'),
			'choices'  => array(
				'on'  => esc_html__( 'Yes', 'psychiatrist' ),
				'off'  => esc_html__( 'No', 'psychiatrist' )
			),
			'active_callback' => array(
				array( 'setting' => 'show-breadcrumb', 'operator' => '==', 'value' => '1' )
			)			
		));

		# breadcrumb-bg-color
		PSYCHIATRIST_Kirki::add_field( $config, array(
			'type' => 'color',
			'settings' => 'breadcrumb-bg-color',
			'label'    => esc_html__( 'Background Color', 'psychiatrist' ),
			'section'  => 'dt_site_breadcrumb_bg_section',
			'output' => array(
				array( 'element' => '.main-title-section-wrapper:before' , 'property' => 'background-color' )
			),
			'choices' => array( 'alpha' => true ),
			'active_callback' => array(
				array( 'setting' => 'show-breadcrumb', 'operator' => '==', 'value' => '1' ),
				array( 'setting' => 'customize-breadcrumb-bg', 'operator' => '==', 'value' => '1' )
			)
		));

		# breadcrumb-bg-image
		PSYCHIATRIST_Kirki::add_field( $config, array(
			'type' => 'image',
			'settings' => 'breadcrumb-bg-image',
			'label'    => esc_html__( 'Background Image', 'psychiatrist' ),
			'description'    => esc_html__( 'Add Background Image for breadcrumb', 'psychiatrist' ),
			'section'  => 'dt_site_breadcrumb_bg_section',
			'output' => array(
				array( 'element' => '.main-title-section-wrapper:before' , 'property' => 'background-image' )
			),
			'active_callback' => array(
				array( 'setting' => 'show-breadcrumb', 'operator' => '==', 'value' => '1' ),
				array( 'setting' => 'customize-breadcrumb-bg', 'operator' => '==', 'value' => '1' )
			)
		));

		# breadcrumb-bg-position
		PSYCHIATRIST_Kirki::add_field( $config, array(
			'type' => 'select',
			'settings' => 'breadcrumb-bg-position',
			'label'    => esc_html__( 'Background Image Position', 'psychiatrist' ),
			'section'  => 'dt_site_breadcrumb_bg_section',
			'output' => array(
				array( 'element' => '.main-title-section-wrapper:before' , 'property' => 'background-position' )				
			),
			'default' => 'center',
			'multiple' => 1,
			'choices' => psychiatrist_image_positions(),
			'active_callback' => array(
				array( 'setting' => 'show-breadcrumb', 'operator' => '==', 'value' => '1' ),
				array( 'setting' => 'customize-breadcrumb-bg', 'operator' => '==', 'value' => '1' ),
				array( 'setting' => 'breadcrumb-bg-image', 'operator' => '!=', 'value' => '' )
			)
		));

		# breadcrumb-bg-repeat
		PSYCHIATRIST_Kirki::add_field( $config, array(
			'type' => 'select',
			'settings' => 'breadcrumb-bg-repeat',
			'label'    => esc_html__( 'Background Image Repeat', 'psychiatrist' ),
			'section'  => 'dt_site_breadcrumb_bg_section',
			'output' => array(
				array( 'element' => '.main-title-section-wrapper:before' , 'property' => 'background-repeat' )				
			),
			'default' => 'repeat',
			'multiple' => 1,
			'choices' => psychiatrist_image_repeats(),
			'active_callback' => array(
				array( 'setting' => 'show-breadcrumb', 'operator' => '==', 'value' => '1' ),
				array( 'setting' => 'customize-breadcrumb-bg', 'operator' => '==', 'value' => '1' ),
				array( 'setting' => 'breadcrumb-bg-image', 'operator' => '!=', 'value' => '' )
			)
		));

# Breadcrumb Typography
	PSYCHIATRIST_Kirki::add_section( 'dt_site_breadcrumb_typo', array(
		'title'	=> esc_html__( 'Typography', 'psychiatrist' ),
		'panel' => 'dt_site_breadcrumb_panel',
		'priority' => 3,
	) );

		# customize-breadcrumb-title-typo
		PSYCHIATRIST_Kirki::add_field( $config, array(
			'type'     => 'switch',
			'settings' => 'customize-breadcrumb-title-typo',
			'label'    => esc_html__( 'Customize Title ?', 'psychiatrist' ),
			'section'  => 'dt_site_breadcrumb_typo',
			'default'  => psychiatrist_defaults('customize-breadcrumb-title-typo'),
			'choices'  => array(
				'on'  => esc_html__( 'Yes', 'psychiatrist' ),
				'off'  => esc_html__( 'No', 'psychiatrist' )
			),
			'active_callback' => array(
				array( 'setting' => 'show-breadcrumb', 'operator' => '==', 'value' => '1' )
			)			
		));

		# breadcrumb-title-typo
		PSYCHIATRIST_Kirki::add_field( $config, array(
			'type'     => 'typography',
			'settings' => 'breadcrumb-title-typo',
			'label'    => esc_html__( 'Title Typography', 'psychiatrist' ),
			'section'  => 'dt_site_breadcrumb_typo',
			'output' => array(
				array( 'element' => '.main-title-section h1, h1.simple-title' )
			),
			'default' => psychiatrist_defaults( 'breadcrumb-title-typo' ),
			'choices'  => array(
				'variant' => array(
					'100',
					'100italic',
					'200',
					'200italic',
					'300',
					'300italic',
					'regular',
					'italic',
					'500',
					'500italic',
					'600',
					'600italic',
					'700',
					'700italic',
					'800',
					'800italic',
					'900',
					'900italic'
				),
			),
			'active_callback' => array(
				array( 'setting' => 'show-breadcrumb', 'operator' => '==', 'value' => '1' ),
				array( 'setting' => 'customize-breadcrumb-title-typo', 'operator' => '==', 'value' => '1' )
			)		
		));		

		# customize-breadcrumb-typo
		PSYCHIATRIST_Kirki::add_field( $config, array(
			'type'     => 'switch',
			'settings' => 'customize-breadcrumb-typo',
			'label'    => esc_html__( 'Customize Link ?', 'psychiatrist' ),
			'section'  => 'dt_site_breadcrumb_typo',
			'default'  => psychiatrist_defaults('customize-breadcrumb-typo'),
			'choices'  => array(
				'on'  => esc_html__( 'Yes', 'psychiatrist' ),
				'off'  => esc_html__( 'No', 'psychiatrist' )
			),
			'active_callback' => array(
				array( 'setting' => 'show-breadcrumb', 'operator' => '==', 'value' => '1' )
			)			
		));

		# breadcrumb-typo
		PSYCHIATRIST_Kirki::add_field( $config, array(
			'type'     => 'typography',
			'settings' => 'breadcrumb-typo',
			'label'    => esc_html__( 'Link Typography', 'psychiatrist' ),
			'section'  => 'dt_site_breadcrumb_typo',
			'output' => array(
				array( 'element' => 'div.breadcrumb a' )
			),
			'default' => psychiatrist_defaults( 'breadcrumb-typo' ),
			'choices'  => array(
				'variant' => array(
					'100',
					'100italic',
					'200',
					'200italic',
					'300',
					'300italic',
					'regular',
					'italic',
					'500',
					'500italic',
					'600',
					'600italic',
					'700',
					'700italic',
					'800',
					'800italic',
					'900',
					'900italic'
				),
			),
			'active_callback' => array(
				array( 'setting' => 'show-breadcrumb', 'operator' => '==', 'value' => '1' ),
				array( 'setting' => 'customize-breadcrumb-typo', 'operator' => '==', 'value' => '1' )
			)		
		));										