<?php
$config = psychiatrist_kirki_config();

# Footer Copyright
	PSYCHIATRIST_Kirki::add_section( 'dt_footer_copyright', array(
		'title'	=> esc_html__( 'Copyright', 'psychiatrist' ),
		'description' => esc_html__('Footer Copyright Settings','psychiatrist'),
		'panel' 		 => 'dt_footer_copyright_panel',
		'priority' => 1
	) );

		# show-copyright-text
		PSYCHIATRIST_Kirki::add_field( $config, array(
			'type'     => 'switch',
			'settings' => 'show-copyright-text',
			'label'    => esc_html__( 'Show Copyright Text ?', 'psychiatrist' ),
			'section'  => 'dt_footer_copyright',
			'default'  =>  psychiatrist_defaults('show-copyright-text'),
			'choices'  => array(
				'on'  => esc_html__( 'Yes', 'psychiatrist' ),
				'off'  => esc_html__( 'No', 'psychiatrist' )
			)
		) );

		# copyright-text
		PSYCHIATRIST_Kirki::add_field( $config, array(
			'type'     => 'textarea',
			'settings' => 'copyright-text',
			'label'    => esc_html__( 'Add Content', 'psychiatrist' ),
			'section'  => 'dt_footer_copyright',
			'default'  =>  psychiatrist_defaults('copyright-text'),
			'active_callback' => array(
				array( 'setting' => 'show-copyright-text', 'operator' => '==', 'value' => '1' )
			)
		) );

		# enable-copyright-darkbg
		PSYCHIATRIST_Kirki::add_field( $config, array(
			'type'     => 'switch',
			'settings' => 'enable-copyright-darkbg',
			'label'    => esc_html__( 'Enable Copyright Dark BG ?', 'psychiatrist' ),
			'section'  => 'dt_footer_copyright',
			'default'  =>  psychiatrist_defaults('enable-copyright-darkbg'),
			'choices'  => array(
				'on'  => esc_html__( 'Yes', 'psychiatrist' ),
				'off'  => esc_html__( 'No', 'psychiatrist' )
			)
		) );		

		# copyright-next
		PSYCHIATRIST_Kirki::add_field( $config, array(
			'type'     => 'select',
			'settings' => 'copyright-next',
			'label'    => esc_html__( 'Show Sociable / menu ?', 'psychiatrist' ),
			'description'    => esc_html__( 'Add description here.', 'psychiatrist' ),
			'section'  => 'dt_footer_copyright',
			'default'  => psychiatrist_defaults('copyright-next'),
			'choices'  => array(
				'hidden'  => esc_attr__( 'Hide', 'psychiatrist' ),
				'disable'  => esc_attr__( 'Disable', 'psychiatrist' ),
				'sociable' => esc_attr__( 'Show sociable', 'psychiatrist' ),
				'footer-menu' => esc_attr__( 'Show menu', 'psychiatrist' ),
			)
		) );

# Footer Social
	PSYCHIATRIST_Kirki::add_section( 'dt_footer_social', array(
		'title'	=> esc_html__( 'Social', 'psychiatrist' ),
		'description' => esc_html__('Footer Social Icons Settings','psychiatrist'),
		'panel' 		 => 'dt_footer_copyright_panel',
		'priority' => 2
	) );

		PSYCHIATRIST_Kirki::add_field( $config, array(
			'type'     => 'sortable',
			'settings' => 'footer-sociables',
			'label'    => esc_html__( 'Social Icons Order', 'psychiatrist' ),
			'section'  => 'dt_footer_social',
			'default'  => psychiatrist_defaults('footer-sociables'),
			'choices'  => array(
				"delicious"		=>	esc_attr__( 'Delicious', 'psychiatrist' ),
				"deviantart"	=>	esc_attr__( 'Deviantart', 'psychiatrist' ),
				"digg"			=>	esc_attr__( 'Digg', 'psychiatrist' ),
				"dribbble"		=>	esc_attr__( 'Dribbble', 'psychiatrist' ),
				"envelope-open"	=>	esc_attr__( 'Envelope', 'psychiatrist' ),
				"facebook"		=>	esc_attr__( 'Facebook', 'psychiatrist' ),
				"flickr"		=>	esc_attr__( 'Flickr', 'psychiatrist' ),
				"google-plus"	=>	esc_attr__( 'Google Plus', 'psychiatrist' ),
				"comment"		=>	esc_attr__( 'GTalk', 'psychiatrist' ),
				"instagram"		=>	esc_attr__( 'Instagram', 'psychiatrist' ),
				"lastfm"		=>	esc_attr__( 'Lastfm', 'psychiatrist' ),
				"linkedin"		=>	esc_attr__( 'Linkedin', 'psychiatrist' ),
				"pinterest"		=>	esc_attr__( 'Pinterest', 'psychiatrist' ),
				"reddit"		=>	esc_attr__( 'Reddit', 'psychiatrist' ),
				"rss"			=>	esc_attr__( 'RSS', 'psychiatrist' ),
				"skype"			=>	esc_attr__( 'Skype', 'psychiatrist' ),
				"stumbleupon"	=>	esc_attr__( 'Stumbleupon', 'psychiatrist' ),
				"tumblr"		=>	esc_attr__( 'Tumblr', 'psychiatrist' ),
				"twitter"		=>	esc_attr__( 'Twitter', 'psychiatrist' ),
				"viadeo"		=>	esc_attr__( 'Viadeo', 'psychiatrist' ),
				"vimeo"			=>	esc_attr__( 'Vimeo', 'psychiatrist' ),
				"yahoo"			=>	esc_attr__( 'Yahoo', 'psychiatrist' ),
				"youtube"		=>	esc_attr__( 'Youtube', 'psychiatrist' ),
			),
			'active_callback' => array(
				array( 'setting' => 'copyright-next', 'operator' => '==', 'value' => 'sociable' ),
			)
		) );

# Footer Copyright Background		
	PSYCHIATRIST_Kirki::add_section( 'dt_footer_copyright_bg', array(
		'title'	=> esc_html__( 'Background', 'psychiatrist' ),
		'panel' => 'dt_footer_copyright_panel',
		'priority' => 3,
	) );

		# customize-footer-copyright-bg
		PSYCHIATRIST_Kirki::add_field( $config, array(
			'type'     => 'switch',
			'settings' => 'customize-footer-copyright-bg',
			'label'    => esc_html__( 'Customize Background ?', 'psychiatrist' ),
			'section'  => 'dt_footer_copyright_bg',
			'default'  => psychiatrist_defaults('customize-footer-copyright-bg'),
			'choices'  => array(
				'on'  => esc_html__( 'Yes', 'psychiatrist' ),
				'off'  => esc_html__( 'No', 'psychiatrist' )
			),
			'active_callback' => array(
				array(
					array( 'setting' => 'show-copyright-text', 'operator' => '==', 'value' => '1' ),
					array( 'setting' => 'copyright-next', 'operator' => 'in', 'value' =>  array( 'sociable', 'footer-menu') )
				)
			)
		));

		# footer-copyright-bg-color
		PSYCHIATRIST_Kirki::add_field( $config, array(
			'type' => 'color',
			'settings' => 'footer-copyright-bg-color',
			'label'    => esc_html__( 'Background Color', 'psychiatrist' ),
			'section'  => 'dt_footer_copyright_bg',
			'output' => array(
				array( 'element' => '.footer-copyright' , 'property' => 'background-color' )
			),
			'choices' => array( 'alpha' => true ),
			'active_callback' => array(
				array( 'setting' => 'customize-footer-copyright-bg', 'operator' => '==', 'value' => '1' ),
				array(
					array( 'setting' => 'show-copyright-text', 'operator' => '==', 'value' => '1' ),
					array( 'setting' => 'copyright-next', 'operator' => 'in', 'value' =>  array( 'sociable', 'footer-menu') )				
				)
			)
		));

		# footer-copyright-bg-image
		PSYCHIATRIST_Kirki::add_field( $config, array(
			'type' => 'image',
			'settings' => 'footer-copyright-bg-image',
			'label'    => esc_html__( 'Background Image', 'psychiatrist' ),
			'description'    => esc_html__( 'Add Background Image for footer', 'psychiatrist' ),
			'section'  => 'dt_footer_copyright_bg',
			'output' => array(
				array( 'element' => '.footer-copyright' , 'property' => 'background-image' )
			),
			'active_callback' => array(
				array( 'setting' => 'customize-footer-copyright-bg', 'operator' => '==', 'value' => '1' ),
				array(
					array( 'setting' => 'show-copyright-text', 'operator' => '==', 'value' => '1' ),
					array( 'setting' => 'copyright-next', 'operator' => 'in', 'value' =>  array( 'sociable', 'footer-menu') )		
				)
			)
		));

		# footer-copyright-bg-position
		PSYCHIATRIST_Kirki::add_field( $config, array(
			'type' => 'select',
			'settings' => 'footer-copyright-bg-position',
			'label'    => esc_html__( 'Background Image Position', 'psychiatrist' ),
			'section'  => 'dt_footer_copyright_bg',
			'output' => array(),
			'default' => 'center',
			'multiple' => 1,
			'choices' => psychiatrist_image_positions(),
			'active_callback' => array(
				array( 'setting' => 'customize-footer-copyright-bg', 'operator' => '==', 'value' => '1' ),
				array(
					array( 'setting' => 'show-copyright-text', 'operator' => '==', 'value' => '1' ),
					array( 'setting' => 'copyright-next', 'operator' => 'in', 'value' =>  array( 'sociable', 'footer-menu') )		
				),
				array( 'setting' => 'footer-copyright-bg-image', 'operator' => '!=', 'value' => '' )				
			)			
		));

		# footer-copyright-bg-repeat
		PSYCHIATRIST_Kirki::add_field( $config, array(
			'type' => 'select',
			'settings' => 'footer-copyright-bg-repeat',
			'label'    => esc_html__( 'Background Image Repeat', 'psychiatrist' ),
			'section'  => 'dt_footer_copyright_bg',
			'output' => array(),
			'default' => 'repeat',
			'multiple' => 1,
			'choices' => psychiatrist_image_repeats(),
			'active_callback' => array(
				array( 'setting' => 'customize-footer-copyright-bg', 'operator' => '==', 'value' => '1' ),
				array(
					array( 'setting' => 'show-copyright-text', 'operator' => '==', 'value' => '1' ),
					array( 'setting' => 'copyright-next', 'operator' => 'in', 'value' =>  array( 'sociable', 'footer-menu') )		
				),
				array( 'setting' => 'footer-copyright-bg-image', 'operator' => '!=', 'value' => '' )
			)			
		));

# Footer Copyright Typography
	PSYCHIATRIST_Kirki::add_section( 'dt_footer_copyright_typo', array(
		'title'	=> esc_html__( 'Typography', 'psychiatrist' ),
		'panel' => 'dt_footer_copyright_panel',
		'priority' => 4,
	) );

		# customize-footer-copyright-text-typo
		PSYCHIATRIST_Kirki::add_field( $config, array(
			'type'     => 'switch',
			'settings' => 'customize-footer-copyright-text-typo',
			'label'    => esc_html__( 'Customize Copyright Text ?', 'psychiatrist' ),
			'section'  => 'dt_footer_copyright_typo',
			'default'  => psychiatrist_defaults('customize-footer-copyright-text-typo'),
			'choices'  => array(
				'on'  => esc_html__( 'Yes', 'psychiatrist' ),
				'off'  => esc_html__( 'No', 'psychiatrist' )
			),
			'active_callback' => array(
				array( 'setting' => 'show-copyright-text', 'operator' => '==', 'value' => '1' )
			)			
		));

		# footer-copyright-text-typo
		PSYCHIATRIST_Kirki::add_field( $config, array(
			'type'     => 'typography',
			'settings' => 'footer-copyright-text-typo',
			'label'    => esc_html__( 'Text Typography', 'psychiatrist' ),
			'section'  => 'dt_footer_copyright_typo',
			'output' => array(
				array( 'element' => '.footer-copyright' )
			),
			'default' => psychiatrist_defaults( 'footer-copyright-text-typo' ),
			'choices'  => array(
				'variant' => array(
					'100',
					'100italic',
					'200',
					'200italic',
					'300',
					'300italic',
					'regular',
					'italic',
					'500',
					'500italic',
					'600',
					'600italic',
					'700',
					'700italic',
					'800',
					'800italic',
					'900',
					'900italic'
				),
			),
			'active_callback' => array(
				array( 'setting' => 'show-copyright-text', 'operator' => '==', 'value' => '1' ),
				array( 'setting' => 'customize-footer-copyright-text-typo', 'operator' => '==', 'value' => '1' )
			)		
		));

		# Divider
		PSYCHIATRIST_Kirki::add_field( $config ,array(
			'type'=> 'custom',
			'settings' => 'footer-copyright-text-typo-divider',
			'section'  => 'dt_footer_copyright_typo',
			'default'  => '<div class="customize-control-divider"></div>',
			'active_callback' => array(
				array( 'setting' => 'show-copyright-text', 'operator' => '==', 'value' => '1' ),
				array( 'setting' => 'copyright-next', 'operator' => '==', 'value' => 'footer-menu' )
			)			
		));		

		# customize-footer-menu-typo
		PSYCHIATRIST_Kirki::add_field( $config, array(
			'type'     => 'switch',
			'settings' => 'customize-footer-menu-typo',
			'label'    => esc_html__( 'Customize Footer Menu ?', 'psychiatrist' ),
			'section'  => 'dt_footer_copyright_typo',
			'default'  => psychiatrist_defaults('customize-footer-menu-typo'),
			'choices'  => array(
				'on'  => esc_html__( 'Yes', 'psychiatrist' ),
				'off'  => esc_html__( 'No', 'psychiatrist' )
			),
			'active_callback' => array(
				array( 'setting' => 'copyright-next', 'operator' => '==', 'value' => 'footer-menu' )
			)			
		));

		# footer-menu-typo
		PSYCHIATRIST_Kirki::add_field( $config, array(
			'type'     => 'typography',
			'settings' => 'footer-menu-typo',
			'label'    => esc_html__( 'Menu Typography', 'psychiatrist' ),
			'section'  => 'dt_footer_copyright_typo',
			'output' => array(
				array( 'element' => '' )
			),
			'default' => psychiatrist_defaults( 'footer-menu-typo' ),
			'choices'  => array(
				'variant' => array(
					'100',
					'100italic',
					'200',
					'200italic',
					'300',
					'300italic',
					'regular',
					'italic',
					'500',
					'500italic',
					'600',
					'600italic',
					'700',
					'700italic',
					'800',
					'800italic',
					'900',
					'900italic'
				),
			),
			'active_callback' => array(
				array( 'setting' => 'copyright-next', 'operator' => '==', 'value' => 'footer-menu' ),
				array( 'setting' => 'customize-footer-menu-typo', 'operator' => '==', 'value' => '1' )
			)		
		));		